Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DefaultQuerySystem

public class DefaultQuerySystem
implements QuerySystem

DefaultQuerySystem loads indexes based on information from DataCollectionInfo. Generally this information is stored in config file in following form:

    querySystem = ru.biosoft.access.DefaultQuerySystem
    querySystem.indexes = title;other
    index.title = biouml.standard.type.access.TitleSqlIndex
    index.title.table = substances
    index.other = com.xxx.Index

pending indexes update when data collection is changed.

Constructor Summary
`DefaultQuerySystem(DataCollection dc)`

Method Summary
`void` | `close()` Closes all indexes and releases any system resources associated with them stream.
`void` | `elementAdded(DataCollectionEvent e)`
`void` | `elementChanged(DataCollectionEvent e)`
`void` | `elementRemoved(DataCollectionEvent e)`
`void` | `elementWillAdd(DataCollectionEvent e)`
`void` | `elementWillChange(DataCollectionEvent e)`
`void` | `elementWillRemove(DataCollectionEvent e)`
`Index` | `getIndex(String name)`
`Index[]` | `getIndexes()`

Constructor Detail

### DefaultQuerySystem

    public DefaultQuerySystem(DataCollection dc)

Method Detail

### close

    public void close()

  Closes all indexes and releases any system resources associated with them stream. A closed QuerySystem cannot be reopened.

### elementAdded

    public void elementAdded(DataCollectionEvent e)
                       throws java.lang.Exception

### elementChanged

    public void elementChanged(DataCollectionEvent e)
                         throws java.lang.Exception

### elementRemoved

    public void elementRemoved(DataCollectionEvent e)
                         throws java.lang.Exception

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent e)
                         throws DataCollectionVetoException,
                                java.lang.Exception

### elementWillChange

    public void elementWillChange(DataCollectionEvent e)
                            throws DataCollectionVetoException,
                                   java.lang.Exception

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent e)
                            throws DataCollectionVetoException,
                                   java.lang.Exception

### getIndex

    public Index getIndex(String name)

### getIndexes

    public Index[] getIndexes()

Association Links

to Class org.apache.log4j.Category

to Class java.util.HashMap

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM